%-- 重力波信号から計算算した特徴量を保存するファイルを開く。
fid = fopen('SNparam_bLCGT.dat','w');

%-- 感度曲線のデータをロードする。
lcgt=load('data/LCGT/bLCGT_v1.dat');

%-- 超新星爆発からの重力波のデータが入っているファイルのリストを作成する。
%%ロードテスト
%%load signal_data/signal_e15a_ls.dat;
%%sig = signal_e15a_ls;
LIST=dir('data/signal_data/*.dat');

%-- fnumに超新星爆発からの重力波データファイルの個数を入れる
[fnum tmpval]=size(LIST);
%-- 各重力波ファイルを読み込んで、特徴量を計算する。forループで繰り返す。
for i = 1:fnum
%-- i番目の重力波データを読み込んで、sigという名の変数の中に入れる。ここではsigはベクトルデータが入る。
sig = load(fullfile('data/signal_data',LIST(i).name));

%-- サンプル周波数、サンプル周期などを定義する。
fs = 16384; % サンプル周波数[Hz]
dt = 1/fs;  % サンプル周期[秒]
Vt = [0:dt:sig(end,1)*1e-3];
Vsig = interp1(sig(:,1)*1e-3,sig(:,2),Vt,'linear');


%-- hrss(h root sum square)を計算する。
hrss = ???

%-- 重力波データの前後を0埋めして1秒長のデータにする。
Vt = 1/fs*[0:fs-1];
Vsig = [zeros(1,ceil((fs-length(Vsig))/2)) Vsig zeros(1,(fs-length(Vsig))-ceil((fs-length(Vsig))/2))];


%-- データ長変数を定義する。
len = length(Vsig);
len2 = ceil((len-1)/2);

%-- 周波数ベクトル、周波数解像度の変数を定義する。
Vfre = fs*1/len*[1:len2];
df = Vfre(3)-Vfre(2);

%-- LCGT ASP [1/rHz] vector corresponding to Vfre
Vlcgt = interp1(lcgt(3:end,1),lcgt(3:end,2),Vfre(3:end),'linear');
Vlcgt = [Vlcgt(1) Vlcgt(2) Vlcgt];

%-- 重力波データをフーリエ変換する。
fftVsig = fft(Vsig);
Vhf = fftVsig(1:ceil(length(fftVsig)/2));
Vhf = Vhf(1:end);


% 望遠鏡の感度に依存した重力波の特徴周波数を計算する。
fc =  ???


%-- 特徴周波数、hrssをファイルに書き込む
fprintf(fid,'%7.2f %e \n',fc,hrss);

end

%-- ファイルを閉じる。
fclose(fid);

%-- パラメータファイルをロードする。
param = load ('SNparam_bLCGT.dat');

%-- KAGRAのスペクトルと超新星爆発（特徴周波数、hrss）を
%-- プロットして図をepsファイルで書く。;
loglog(Vfre,Vlcgt,'b');
hold on;
plot(param(:,1),param(:,2),'r*');
hold off;
xlabel('frequency[Hz]');
ylabel('amplitude spectral density[Hz^{-1/2}]');
grid on;
axis([1 16384 1.0E-24 1.0E-19]);
print ('-depsc','SNparam_bLCGT.eps');





%hrss = sqrt(sum(Vsig.^2).*dt;
%fc = sum(Vhf*dt.*conj(Vhf*dt)./Vlcgt.^2.*Vfre)*df./(sum(Vhf*dt.*conj(Vhf*dt)./Vlcgt.^2)*df);



